删除数据库备份
删除数据库备份
DELETE
/zstack/v1/database-backups/{uuid}?backupStorageUuids={backupStorageUuids}操作 ID
DeleteDatabaseBackup起始版本
3.0.0执行模式
同步认证信息
需要认证认证信息
调用该 API 时需要在请求头中携带以下认证信息。
Authorizationstring必填Bearer 令牌
X-Tenant-IDstringX-Tenant-ID
请求参数
application/json路径参数
uuidString必填资源的UUID,唯一标示该资源
backupStorageUuidsList镜像服务器UUID列表
查询参数
backupStorageUuidsString查询参数。
请求体字段
systemTagsList可选。
userTagsList可选。
响应状态
200 OKDELETE 接口成功时返回空对象,失败时返回标准错误结构。
成功响应
{}错误响应
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}